Skip navigation

Java Web start in Mac OSX 10.7.5

18614 Views 7 Replies Latest reply: Dec 23, 2013 6:59 AM by omgoleus RSS
Lyn Turbak Calculating status...
Currently Being Moderated
Nov 25, 2012 4:19 PM

I can no longer use Java Web Start on my Macbook running Max OSX 10.7.5 and java version 1.6.0_37. When I attempt to launch a Java Web Start file, I get a popup that says:

 

To open this Web Start application, you need to download the Java Runtime Environment.

Click "More Info..." to visit the website for the Java Runtime Environment.

Clicking more info brings me to an Oracle Java download page for Java 7, which I do not which to install yet.

 

I know that Apple removed the Java browser plugin for Lion and Mountain Lion, but the following claims to be a way to reinstall it:

 

http://support.apple.com/kb/HT5559

I have followed the steps at the above link, but it does not fix my problem; I get exactly the same popup window. I have done extensive Googling on other fixes to this without any luck.

 

My Java browser plugin is:


Java(TM) - Version: 14.5.0

Java Plug-In 2 for NPAPI Browsers

 

The thread at https://discussions.apple.com/thread/4136010?start=15&tstart=0 suggests using plugin version 14.4.0, but I don't know how to get that version.

 

Any ideas on how to fix this problem would be greatly appreciated!

MacBook Pro (13-inch Early 2011), Mac OS X (10.7.5)
  • UnderTheNeath Level 1 Level 1 (0 points)
    Currently Being Moderated
    Nov 29, 2012 2:37 PM (in response to Lyn Turbak)

    I'm pretty sure my problem is about the same. Basically I cant install the Java 7 update cause I get an error message during download telling me I dont have mac os x 10.7 or higher....but I do. The Oracle Java update for Lion just isnt recognizing it! I have mac os x lion 10.7.5 on my laptop and for some reason, certain Pogo games wont load...it says its loading but never does and just closes. I went to the help page, did what it said, I scanned for current updates, installed them, rebooted then went back to Pogo and clicked on the java test link to see what version im running. I got the error "missing plug in" so I clicked on it and was taken to Java's website for instructions, clicked "Download Java for Mac OS X," then hit sytem requirements and saw that I had to be running os x 10.7.3 or above and I have 10.7.5. I was good to go, hit download and now Im here! Annoyed and confused beause updates and upgrades are pretty basic and simple. You either meet the system requirements or you dont. I meet them but cant get them cause it says I dont....its a viscious cycle and Im rambling like a madwoman! Is there an easy yes or no answer to this, maybe a follow steps 1,2,3 A,B,C you can post for non computer savvy moms? LOL I just want the handful of Pogo games I used to be able to play, to play again...nothing complicated! And why is it only some games and not all of them? Dont answer that, my hair already hurts...haha

     

    Im not much of a computer person, but Im sure thats more than obvious, so my apologies if my problem has nothing to do with this one....tell me where to go or what forum to read thru for help. I also want to pologize in advance for the help Im gonna need after I get this updated! lol I hear the update has something screwy with the plugins being enabled and that its another nightmare with this whole new oracle java deal. Hmmm, maybe I shouldnt even do this java update.  

  • Lee-kai Wang Calculating status...
    Currently Being Moderated
    Dec 26, 2012 8:54 PM (in response to Lyn Turbak)
  • evarsanyi Calculating status...
    Currently Being Moderated
    Jan 2, 2013 7:10 AM (in response to Lee-kai Wang)

    He mentioned he tried the stuff in there and it didn't work. I did the same and while 'javaws' now works from the command line the browsers (Safari, Chrome) still issue that popup when I try to open a jlnp file.

  • zkropotkine Calculating status...
    Currently Being Moderated
    Jan 2, 2013 11:39 AM (in response to evarsanyi)

    Hi,

     

    This http://support.apple.com/kb/HT5559 used to help before updating to 10.8.2

     

    If you double click a jnpl file it would call the Java Web Start.app, then this app will look here to run the file:

     

    "/System/Library/Java/Support/Deploy.bundle/Contents/Resources/JavaPlugin2_NPAP I.plugin/Contents/Home/bin"

     

    As this path doesn't exist anymore after the 10.8.2 update; I did the following:

     

    1.- Copy everything inside:

     

    "/System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home/bin/"

     

    2.- Create the path (you only need to create /Home/bin):

     

    "/System/Library/Java/Support/Deploy.bundle/Contents/Resources/JavaPlugin2_NPAPI .plugin/Contents/Home/bin"

     

    3.- Paste the previously copied files.

     

    After that everything is working fine, even some pages that showed me a message about installing the JRE are working fine again.

     

    Considerations:

     

    -Most of the jnpl files that I'm running need a 32 bits JVM, that's why I can not use the oficcial Oracle Java 7 (64 bits). So I'm using the Apple JVM(jdk 6 32 bits), if you want to continue using the apple JVM this is the way to go .

     

    - I follow this instructions (http://support.apple.com/kb/HT5559) before to create the new path, no sure if those steps are needed.

     

    -Daniel

  • kyoma Calculating status...
    Currently Being Moderated
    Jan 3, 2013 6:37 PM (in response to Lyn Turbak)

    I had the same problem and solved it as the followings.

     

    1. Create an application by Automator.app like the screen shot. It opens jnlp files not by /usr/bin/javaws but by /System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Commands/javawsScreen Shot 2013-01-04 at 11.34.07.png
    2. Change default application for jnlp files from Java Web Start.app to the application created by Automator

     

    Command /usr/bin/javaws links to /System/Library/Frameworks/JavaVM.framework/Versions/Current/Commands/javaws, which links to /System/Library/Frameworks/JavaVM.framework/Versions/A/Commands/javaws. It does not do nothing but shows the error dialog.

     

    Kyoma

  • mobileAgent Calculating status...
    Currently Being Moderated
    Jan 8, 2013 6:59 PM (in response to Lyn Turbak)

    Under 10.8.2 these two commands will get jnlp files to launch on double-click again.

     

    sudo mv /usr/bin/javaws /usr/bin/javaws.aapl

    sudo ln -s /System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Home/bin/javaws /usr/bin/javaws

  • omgoleus Calculating status...
    Currently Being Moderated
    Dec 23, 2013 6:59 AM (in response to mobileAgent)

    This solved the problem for me.  I kept getting the "You need to download" message, and then after downloading, I would still get the message.  After doing mobileAgent's steps, it works for me now.

     

    The file is still not associated with Java Web Start in the Finder, but I can manually "open with" and then get the functionality I need.

Actions

More Like This

  • Retrieving data ...

Bookmarked By (1)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.